Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2189099 - perl-Protocol-WebSocket-0.26-13.fc39 FTBFS: File not found: /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/man/man1/*
Summary: perl-Protocol-WebSocket-0.26-13.fc39 FTBFS: File not found: /builddir/build/B...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Protocol-WebSocket
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michal Josef Spacek
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-04-24 08:11 UTC by Petr Pisar
Modified: 2023-04-26 13:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-26 13:22:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-04-24 08:11:56 UTC
perl-Protocol-WebSocket-0.26-13.fc39 fails to build in Fedora 39:

Processing files: perl-Protocol-WebSocket-0.26-13.fc39.noarch
error: File not found: /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/man/man1/*
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.RIJpno
+ umask 022
+ cd /builddir/build/BUILD
+ cd Protocol-WebSocket-0.26
+ DOCDIR=/builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/doc/perl-Protocol-WebSocket
+ export LC_ALL=C
+ LC_ALL=C
+ export DOCDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/doc/perl-Protocol-WebSocket
+ cp -pr Changes /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/doc/perl-Protocol-WebSocket
+ cp -pr examples /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/doc/perl-Protocol-WebSocket
+ RPM_EC=0
++ jobs -p
+ exit 0
Executing(%license): /bin/sh -e /var/tmp/rpm-tmp.6vBqom
+ umask 022
+ cd /builddir/build/BUILD
+ cd Protocol-WebSocket-0.26
+ LICENSEDIR=/builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/licenses/perl-Protocol-WebSocket
+ export LC_ALL=C
+ LC_ALL=C
+ export LICENSEDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/licenses/perl-Protocol-WebSocket
+ cp -pr LICENSE /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/licenses/perl-Protocol-WebSocket
+ RPM_EC=0
++ jobs -p
+ exit 0
RPM build errors:
    File not found: /builddir/build/BUILDROOT/perl-Protocol-WebSocket-0.26-13.fc39.noarch/usr/share/man/man1/*

This is very probably triggered by upgrading perl-Module-Build-Tiny from 0.039-25.fc38 to 0.043-1.fc39. From perl-Module-Build-Tiny changelog:

0.040     2023-02-05 23:06:28+01:00 Europe/Amsterdam (TRIAL RELEASE)
          - Manify .pod after .pm
          - Filter out script documentation from scripts
          - Don't manify podless modules/scripts

Reproducible: Always

Comment 1 Fedora Admin user for bugzilla script actions 2023-04-26 00:26:24 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.